XtGetActionList(3Xt)

NAME
XtGetActionList - obtain class action list

SYNTAX
void XtGetActionList(widget_class, actions_return, num_actions_return)
      WidgetClass widget_class;
      XtActionList* actions_return;
      Cardinal* num_actions_return;

ARGUMENTS

widget_class
    Specifies the widget class whose actions are to be returned.

actions_return
    Returns the action list.

num_actions_return
    Returns the number of action procedures declared by the class.

DESCRIPTION
returns the action table defined by the specified widget class. This table does not include actions defined by the superclasses. If widget_class is not initialized, or is not or a subclass thereof, or if the class does not define any actions, *actions_return will be NULL and *num_actions_return will be zero. If *actions_return is non-NULL the client is responsible for freeing the table using when it is no longer needed.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface